CCfits 2.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CCfits::HDU::InvalidExtensionType Class Reference
FITS Exceptions

exception to be thrown if user requests extension type that can not be understood as ImageExt, AsciiTable or BinTable. More...

`#include <HDU.h>`

Inheritance diagram for CCfits::HDU::InvalidExtensionType:

List of all members.

## Public Member Functions

| InvalidExtensionType (const string &diag, bool silent=true)
| Exception ctor, prefixes the string "Fits Error: Extension Type: " before the specific message.

## Detailed Description

exception to be thrown if user requests extension type that can not be understood as ImageExt, AsciiTable or BinTable.

## Constructor & Destructor Documentation

CCfits::HDU::InvalidExtensionType::InvalidExtensionType | ( | const string & | diag,
|  | bool | silent = `true`
| ) |  |

Exception ctor, prefixes the string "Fits Error: Extension Type: " before the specific message.

Parameters:

  diag | A specific diagnostic message
  silent | if true, print message whether FITS::verboseMode is set or not.

The documentation for this class was generated from the following files:

- HDU.h
- HDU.cxx